#!/usr/bin/env python
# -*- coding: utf-8 -*-
import math

def main():
    cripted = "339529572 1714213239 1972907923 1548673169 2544566044 1714213239 1116312820 0339529572 1822112386 1714213239 1636653834 1972907923 1822112386 2544566044 0983360485 0339529572 1714213239 1653884431 2732639007 1714213239 1134492135 2637783967 3136084447 3136084447 1714213239 3375879054 0339529572 1972907923 1714213239 1972907923 0339529572 0347827590 1714213239 1972907923 1822112386 1966532114 1653884431 1548673169 1682219850 1047692373 1714213239 2544566044 0983360485 1822112386 1714213239 1548673169 2041969574 2544566044 2732639007 1822112386 1972907923 1714213239 1653884431 1714213239 1485847319 1653884431 0339529572 0347827590 2544566044 1972907923 0983360485 1714213239 2544566044 0983360485 1485847319 1653884431 2732639007 2544566044 0347827590 1714213239 2732639007 2544566044 1548673169 1714213239 2544566044 0347827590 1682219850 1653884431 1548673169 1047692373 1714213239 1653884431 2732639007 1714213239 1134492135 2637783967 3136084447 0255735799 1047692373 1714213239 1116312820 0339529572 1822112386 1714213239 1822112386 0347827590 1966532114 1653884431 0347827590 1682219850 2544566044 0983360485 0339529572 1714213239 1682219850 2544566044 2732639007 2932237818 1653884431 2732639007 1714213239 3375879054 0339529572 1972907923 1714213239 1636653834 1972907923 1822112386 3375879054 1682219850 0339529572 2257718326 1972907923 2544566044 1116312820 0339529572 1548673169 1714213239 2932237818 1972907923 1822112386 1682219850 2544566044 0347827590 1822112386 1636653834 0339529572 1548673169 1714213239 0324732533 1229893875 1653884431 1714213239 1682219850 1822112386 1966532114 1653884431 1972907923 2544566044 2732639007 1714213239 0324732533 1229893875 1653884431 1714213239 2732639007 2544566044 0347827590 1682219850 1653884431 1972907923 1714213239 1548673169 1822112386 2257718326 1822112386 1485847319 0339529572";
    #print type(cripted)

    dic = {}

    splited = cripted.split(' ')
    #print splited
    i = 0;
    for s in splited:
        if s in dic:
                dic[splited[i]] = 1 + dic[splited[i]]
        else:
            dic[splited[i]] = 1

        i= i +1
    #print '\n\n\n'
    #print dic

    for key in sorted(dic):
        print "%s: %s" % (key, dic[key])
    print '\n'

    #passo 1 trocar espaço
    cripted = cripted.replace("1714213239", " ")#
    cripted = cripted.replace("2544566044", "a")#
    cripted = cripted.replace("0339529572", "o")
    cripted = cripted.replace("1822112386", "i")
    cripted = cripted.replace("1972907923", "r")#
    cripted = cripted.replace("1653884431", "e")#
    cripted = cripted.replace("2732639007", "m")#
    cripted = cripted.replace("1548673169", "s")#
    cripted = cripted.replace("1682219850", "t")
    cripted = cripted.replace("0983360485", "d")
    cripted = cripted.replace("339529572", "O")
    #que tiveram que

    cripted = cripted.replace("1229893875", "u")#
    cripted = cripted.replace("0324732533", "q")#
    cripted = cripted.replace("1966532114", "v")#
    cripted = cripted.replace("0347827590", "n")#
    cripted = cripted.replace("2932237818", "b")#
    cripted = cripted.replace("1116312820", "f")#
    cripted = cripted.replace("1636653834", "c")#
    cripted = cripted.replace("3375879054", "p")#
    cripted = cripted.replace("1485847319", "l")#
    cripted = cripted.replace("1134492135", "1")#
    cripted = cripted.replace("2637783967", "9")#
    cripted = cripted.replace("3136084447", "7")#
    cripted = cripted.replace("2041969574", "h")#
    cripted = cripted.replace("1047692373", ",")#
    cripted = cripted.replace("2257718326", "g")#
    cripted = cripted.replace("0255735799", "3")#


    print cripted + "\n"
main()
